<form *ngIf="stockPickerForm" [formGroup]="stockPickerForm" class="stack-form">
  <mat-form-field class="stack-form__field">
    <input
      matInput
      placeholder="Symbol e.g AAPL"
      formControlName="symbol"
      (keyup)="symbolChanged(stockPickerForm.controls.symbol?.value)"
    />
    <mat-error
    ><span
      *ngIf="
          !stockPickerForm.get('symbol').valid &&
          stockPickerForm.get('symbol').touched
        "
    >Please enter a symbol</span
    >
    </mat-error>
  </mat-form-field>

  <div class="stack-form__block">
    <mat-form-field class="stack-form__field">
      <mat-label>Choose from date</mat-label>
      <input matInput [matDatepicker]="fromPicker" formControlName="from" [max]="maxDate">
      <mat-datepicker-toggle matSuffix [for]="fromPicker"></mat-datepicker-toggle>
      <mat-datepicker #fromPicker startView="year" [startAt]="stockPickerForm.get('from').value"></mat-datepicker>
      <mat-error *ngIf="stockPickerForm.get('from').errors?.required">
        Dates is required
      </mat-error>
    </mat-form-field>

    <mat-form-field class="stack-form__field">
      <mat-label>Choose to date</mat-label>
      <input matInput [matDatepicker]="toPicker" formControlName="to">
      <mat-datepicker-toggle matSuffix [for]="toPicker"></mat-datepicker-toggle>
      <mat-datepicker #toPicker startView="year" [startAt]="stockPickerForm.get('to').value"></mat-datepicker>
      <mat-error *ngIf="stockPickerForm.get('to').errors?.required">
        Date is required
      </mat-error>
    </mat-form-field>
  </div>

  <mat-error *ngIf="stockPickerForm.errors?.rangeDateIsInvalid">
    From date is bigger then to date.
  </mat-error>

  <button (click)="fetchQuote()" mat-raised-button>Go</button>
</form>

<coding-challenge-chart [data]="quotes$ | async"></coding-challenge-chart>
